Package virtuoso.jdbc4

## Class VirtuosoPoint

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoPoint

    public class VirtuosoPoint
    extends java.lang.Object

### Field Summary

Fields
`double` `x`
`double` `y`

### Constructor Summary

Constructors
`VirtuosoPoint​(double _x, double _y)`
`VirtuosoPoint​(java.lang.String data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString​()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### x

    public double x

#### y

    public double y

### Constructor Detail

#### VirtuosoPoint

    public VirtuosoPoint​(double _x,
                         double _y)

#### VirtuosoPoint

    public VirtuosoPoint​(java.lang.String data)
                  throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

### Method Detail

#### toString

    public java.lang.String toString​()

Overrides:
  `toString` in class `java.lang.Object`